
#include <iostream>  // for standard I/O
#include <fstream>   // for file I/O
#include <string>    // for string class
#include <iomanip>   // for output formatting
using namespace std;

int main()
{
	ifstream fin;
	fin.open( "data2.txt" );

	ofstream fout;
	fout.open( "output.txt" );
	fout << fixed << showpoint; // for floating number output
	
	cout << fixed << showpoint;
	
	int quantity;
	double price;
	string item;

	fin >> quantity;
	fin.ignore( 10, ',' );
	fin >> price;
	fin.ignore( 10,':' );
	fin >> item;
	fin.ignore( 100,'\n' );

	while ( fin )
	{
		cout << setw( 3 ) << quantity << " "  // note: setw applies only to the immediate expression
			<< setw( 10) << item << "(s) at "
			<< setw( 8 ) << setprecision( 2 ) << price << " each"
			<< endl;
		fout << setw( 3 ) << quantity << " " 
			<< setw( 10) << item << "(s) at "
			<< setw( 8 ) << price << " each"
			<< endl;
		fin >> quantity;
		fin.ignore( 10, ',' );
		fin >> price;
		fin.ignore( 10,':' );
		fin >> item;
		fin.ignore( 100,'\n' );
	}

	fin.close();
	fout.close();

	return 0;
}